[role="xpack"]
[testenv="basic"]
[[sql-syntax-describe-table]]
=== DESCRIBE TABLE

.Synopsis:
[source, sql]
----
DESCRIBE
    [table identifier | <1>
    [LIKE pattern]]     <2>
----

<1> single table identifier or double quoted es multi index
<2> SQL LIKE pattern

or 

[source, sql]
----
DESC 
    [table identifier | <1>
    [LIKE pattern]]     <2>
----

<1> single table identifier or double quoted es multi index
<2> SQL LIKE pattern

*Description*: `DESC` and `DESCRIBE` are aliases to <<sql-syntax-show-columns>>.

[source, sql]
----
include-tagged::{sql-specs}/docs/docs.csv-spec[describeTable]
----
